#include <bits/stdc++.h>

using namespace std;

long long a[200007];
long long re = 0;
long long n;

int main()
{
    cin>>n;
    for (int i = 0; i < n; i++){
        cin>>a[i];
    }
    re = a[0];
    for (int i = 1; i < n; i++){
        if (a[i] > a[i - 1]){
            re += a[i] - a[i-1];
        }
    }
    cout<<re;
    return 0;
}
